Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 626122 (libqmf) - Review Request: libqmf - Qt Messaging Framework
Summary: Review Request: libqmf - Qt Messaging Framework
Keywords:
Status: CLOSED WONTFIX
Alias: libqmf
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
: 617610 (view as bug list)
Depends On: 617592
Blocks: FE-DEADREVIEW 661400
TreeView+ depends on / blocked
 
Reported: 2010-08-22 03:28 UTC by Chen Lei
Modified: 2011-12-08 18:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-28 14:58:44 UTC


Attachments (Terms of Use)

Description Chen Lei 2010-08-22 03:28:07 UTC
Description:

The Qt Messaging Framework, QMF, consists of a C++ library and daemon
server process that can be used to build email clients, and more
generally software that interacts with email and mail servers.


SPEC: http://dl.dropbox.com/u/1338197/1/libqmf.spec
SRPM: http://dl.dropbox.com/u/1338197/1/libqmf-1.0-0.1.2010w23.fc13.src.rpm

Comment 1 Chen Lei 2010-08-22 03:28:21 UTC
*** Bug 617610 has been marked as a duplicate of this bug. ***

Comment 2 Daniel Berrange 2010-08-26 14:45:00 UTC
I'm not sure what to suggest as an alternative, but IMHO "libqmf" is a rather misleading/confusing name for this package.

 - This proposed 'libqmf' doesn't appear to contain any  libqmf.so
 - Fedora already has a 'qmf' RPM that does provide a libqmf.so

Comment 3 Chen Lei 2010-08-26 14:57:56 UTC
(In reply to comment #2)
> I'm not sure what to suggest as an alternative, but IMHO "libqmf" is a rather
> misleading/confusing name for this package.
>  - This proposed 'libqmf' doesn't appear to contain any  libqmf.so
>  - Fedora already has a 'qmf' RPM that does provide a libqmf.so

This is a git snapshot actually, no formal tarball available currently. I also doubt the pkgname, I sent a private mail to a maintainer of qmf, but haven't got any response yet. 

I use libqmf as the pkgname mainly because the package install api docs to %{_docdir}/libqmf-doc.

Comment 4 Daniel Berrange 2010-08-26 15:20:34 UTC
That's good, if they've not done any formal upstream release yet, then its definitely worth encouraging them to change the naming to avoid this obvious namespace clash.

Comment 5 Chen Lei 2010-08-26 15:48:06 UTC
(In reply to comment #4)
> That's good, if they've not done any formal upstream release yet, then its
> definitely worth encouraging them to change the naming to avoid this obvious
> namespace clash.

I think we have two choice:

1.Rename fedora qmf rpm to libqmf, then use qmf for this package(actually all other distributions use qmf for this package)

2. Keep fedora qmf rpm, then persuade Nokia to name this package as libqmf.

Currently, I can't other reasonable name for this package. FYI, upstream tend to call this package as qmf.

See http://qt.gitorious.org/qt-labs/messagingframework/blobs/master/README

Comment 6 Kevin Kofler 2010-08-26 18:07:28 UTC
We could call it qt-qmf or something.

Comment 7 Jason Tibbitts 2010-12-02 15:28:15 UTC
What is the status of this package?

Comment 8 Rex Dieter 2010-12-09 16:35:30 UTC
We're trying to negotiate the qmf namespace clash with qpid-cpp maintainers (that package currently produces subpkgs named qmf and qmf-devel).

Comment 9 Jaroslav Reznik 2010-12-10 13:13:01 UTC
(In reply to comment #8)
> We're trying to negotiate the qmf namespace clash with qpid-cpp maintainers
> (that package currently produces subpkgs named qmf and qmf-devel).

https://bugzilla.redhat.com/show_bug.cgi?id=661736

Comment 10 Jason Tibbitts 2010-12-13 15:03:49 UTC
I guess I'll mark this as not being ready; please clear the whiteboard if the issue is resolved and this review can progress.

Comment 11 Rex Dieter 2011-01-14 15:36:56 UTC
Let's just go with qt-qmf here, and not block indefinitely waiting on bug #661736

ok?

Comment 12 Rex Dieter 2011-01-14 15:39:32 UTC
Just took a peek at the latest .spec here, and noticed
BuildRequires: libacccounts-qt-devel
where's this come from?

Comment 13 Jaroslav Reznik 2011-01-14 16:37:00 UTC
(In reply to comment #11)
> Let's just go with qt-qmf here, and not block indefinitely waiting on bug
> #661736
> 
> ok?

ok for me

Comment 14 Jaroslav Reznik 2011-01-14 16:39:43 UTC
(In reply to comment #12)
> Just took a peek at the latest .spec here, and noticed
> BuildRequires: libacccounts-qt-devel
> where's this come from?

https://bugzilla.redhat.com/show_bug.cgi?id=617592

seems to be built only for rawhide - http://koji.fedoraproject.org/koji/packageinfo?packageID=10789

Comment 15 Chen Lei 2011-01-15 08:26:47 UTC
(In reply to comment #11)
> Let's just go with qt-qmf here, and not block indefinitely waiting on bug
> #661736
> 
> ok?

OK for me also, maybe we can try to persuade upstream to rename this package to qt-qmf as well. 

Mailing list: http://lists.qt.nokia.com/mailman/listinfo/qt-qmf

Comment 16 Eric Springer 2011-03-14 07:10:57 UTC
[Upstream QMF developer here]

Just to add to the confusion:

There's two forks of QMF:
* http://qt.gitorious.org/qt-labs/messagingframework (What I call Qt-QMF)
* http://meego.gitorious.org/meego-middleware/messagingframework (What I call Meego-QMF)


Meego-QMF is rebased on a particular version commit of Qt-QMF (generally the weekly tags, but w/e suits their schedule) along with their set of commits (That adds stuff like libaccounts and tracker integration).

Going forward, I'd like to see this consolidated into a single library -- but for the time being that's not practical. 

But since you're packaging Meego-QMF, which is fine -- but calling it Qt-QMF would only add to the confusion. So maybe meego-qmf is a better name?

Regards,
Eric

Comment 17 Jaroslav Reznik 2011-05-13 16:28:58 UTC
(In reply to comment #16)
> [Upstream QMF developer here]
> 
> Just to add to the confusion:
> 
> There's two forks of QMF:
> * http://qt.gitorious.org/qt-labs/messagingframework (What I call Qt-QMF)
> * http://meego.gitorious.org/meego-middleware/messagingframework (What I call
> Meego-QMF)
> 
> 
> Meego-QMF is rebased on a particular version commit of Qt-QMF (generally the
> weekly tags, but w/e suits their schedule) along with their set of commits
> (That adds stuff like libaccounts and tracker integration).
> 
> Going forward, I'd like to see this consolidated into a single library -- but
> for the time being that's not practical. 
> 
> But since you're packaging Meego-QMF, which is fine -- but calling it Qt-QMF
> would only add to the confusion. So maybe meego-qmf is a better name?
> 
> Regards,
> Eric

Hi Eric!
Thanks for clarification. So meego-qmf should be compatible with qt-qmf? If so, we can ship meego-qmf as it adds some stuff and we can't have two nearly exactly same conflicting libraries. The question here is - rename it to meego-qt and after it's consolidated to one library move to qt-qmf? It's maybe even a little bit more confusing :(

Guys, what do you thing? QMF is an optional dep now for a few packages, so we should have it packaged...

Comment 18 Jaroslav Reznik 2011-05-17 15:46:52 UTC
Chen, are you still around and interested in this package review? Otherwise I can take care about it.

Comment 19 Rex Dieter 2011-06-09 16:18:38 UTC
Looks like we'll be needing this sooner rather than later, as it's need by PyQtMobility which I'm working on packaging now.

I'll get to work on a newer build based on:
http://repo.meego.com/MeeGo/builds/trunk/latest/repos/oss/source/qmf-1.0.7~2011w13-1.51.src.rpm

anyone feel free to chime in and/or help, if you've got anything to add.

Comment 20 Rex Dieter 2011-06-09 16:35:15 UTC
Hrm, that rpm uses qt-qmf it seems:
* Fri Mar 25 2011 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2011w11
- Update to 1.0.7~2011w11 and switch to upstream QMF
- Update URL

with
URL:        http://qt.gitorious.org/qt-labs/messagingframework

Now I'm confused on which one we should use. :(   oh well, I'll continue work on sync'ing with the srp rom repo.meego.com, and we'll go from there.

Comment 21 Rex Dieter 2011-06-09 20:53:35 UTC
Well, so much for that qmf-1.0 doesn't seem to satisfy build requirements for either qt-mobility-1.2.x or PYQtMobility, trying a git snapshot of 
http://meego.gitorious.org/meego-middleware/messagingframework
now.

Comment 22 Rex Dieter 2011-06-09 21:10:03 UTC
and, seems meego-qmf doesn't build, seemingly because fedora's libaccounts-qt-0.31-4.fc15.x86_64 is too old. :(

Comment 23 Rex Dieter 2011-06-09 21:11:21 UTC
Pardon one minor rant, lack of qt/meego upstream releases or clear (versioned!) dependencies make resolving this more that a little frustrating. :(

Comment 24 Rex Dieter 2011-06-09 21:25:42 UTC
(sorry for the multiple posts) in case it's useful for anyone,
http://rdieter.fedorapeople.org/rpms/qmf/
currently includes
qt-qmf-1.0.7-1.1011w13.fc15.src.rpm
my attempt at making an updated qmf-1.0.x rpm per comment #19

Comment 25 Rex Dieter 2011-11-28 14:58:44 UTC
marking dead, reporter hasn't responded for quite awhile.


Note You need to log in before you can comment on or make changes to this bug.